import java.util.Scanner;

public class DiceFaceBetterStaticMethodPrintlnStdIn {
    private final static Scanner inputStream = new Scanner(System.in);
    public final static int MINIMUM_VALUE = 1;
    public final static int MAXIMUM_VALUE = 6;

    public static void printDiceFace(int value) {
        switch (value) {
            case 1:
                System.out.println("-----");
                System.out.println("|   |");
                System.out.println("| o |");
                System.out.println("|   |");
                System.out.println("-----");
                break;
            case 2:
                System.out.println("-----");
                System.out.println("|o  |");
                System.out.println("|   |");
                System.out.println("|  o|");
                System.out.println("-----");
                break;
            case 3:
                System.out.println("-----");
                System.out.println("|o  |");
                System.out.println("| o |");
                System.out.println("|  o|");
                System.out.println("-----");
                break;
            case 4:
                System.out.println("-----");
                System.out.println("|o o|");
                System.out.println("|   |");
                System.out.println("|o o|");
                System.out.println("-----");
                break;
            case 5:
                System.out.println("-----");
                System.out.println("|o o|");
                System.out.println("| o |");
                System.out.println("|o o|");
                System.out.println("-----");
                break;
            case 6:
                System.out.println("-----");
                System.out.println("|o o|");
                System.out.println("|o o|");
                System.out.println("|o o|");
                System.out.println("-----");
                break;
            default:
                System.out.println("You need to use a number from "
                                           + MINIMUM_VALUE
                                           + " to "
                                           + MAXIMUM_VALUE);
        }
    }

    /**
     * Calls printDiceFace(int) if the parameter is acceptable
     *
     * @param face String representing the number of the dice face to print
     */
    private static void checkAndPrintDiceFace(String face) {
        /* todo This method can be made into a single line by replacing the
            use of
                each variable with that variable's initial assignment */
        String firstArgument = face.trim()
                                   .toLowerCase();
        int value = Integer.parseInt(firstArgument);
        printDiceFace(value);
    }

    /**
     * Uses printDiceFace to pretty prints in ASCII art one face of a dice
     * matching the provided
     * number.
     *
     * @param args A single command-line parameter of the value of the dice
     *             face to be printed
     */
    public static void main(String[] args) {
        while (inputStream.hasNext()) {
            String inputLine = inputStream.nextLine();
        // todo The input can be trimmed and made lowercase to improve robustness
        //      You can choose where to do that
            checkAndPrintDiceFace(inputLine);
        }
    }

}