public class DiceFaceBetterStaticMethodArrayCommandLine {
    public final static int MINIMUM_VALUE = 1;
    public final static int MAXIMUM_VALUE = 6;

    private static final String[][] FACES = new String[][]{
            {// unused but Java needs something at index 0
             "-----",
             "|   |",
             "|   |",
             "|   |",
             "-----"},
            {"-----",
             "|   |",
             "| o |",
             "|   |",
             "-----"},
            {"-----",
             "|o  |",
             "|   |",
             "|  o|",
             "-----"},
            {"-----",
             "|o  |",
             "| o |",
             "|  o|",
             "-----"},
            {"-----",
             "|o o|",
             "|   |",
             "|o o|",
             "-----"},
            {"-----",
             "|o o|",
             "| o |",
             "|o o|",
             "-----"},
            {"-----",
             "|o o|",
             "|o o|",
             "|o o|",
             "-----"}
    };

    public static void printDiceFace(int value) {
        if ((value >= MINIMUM_VALUE) && (value <= MAXIMUM_VALUE)) {
            for (String line : FACES[value]) {
                System.out.println(line);
            }
        } else {
            printErrorMessage();
        }
    }

    private static boolean enoughArguments(String[] arguments){
        /* One way to do this is assume the arguments are unacceptable and
        try to prove they are. Alternatively do the opposite. */

        /* todo put a breakpoint on the if, debug, and use the Java Visualiser
                plugin to see whether the two arrays are actually one array */
        if ((arguments.length != 0)) {
            return true;
        }

        /* todo this function can be simplified to remove the if statement */
        return false;
    }

    private static void checkAndPrintDiceFace(String face) {
        /* todo This method can be made into a single line by replacing the use of
                each variable with that variable's initial assignment */
        String firstArgument = face;
        // todo preparing the String (trim and lowercase could go here
        int value = Integer.parseInt(firstArgument);
        printDiceFace(value);
    }

    private static void printErrorMessage() {
        System.out.println("You need to put a number from "
                                   + MINIMUM_VALUE
                                   + " to "
                                   + MAXIMUM_VALUE
                                   + " after the program name");
    }

    public static void main(String[] args) {
        /* todo This String can be trimmed and made lowercase
                to improve robustness of handling.
                You can decide where to do this. */
        if (enoughArguments(args)) {
            checkAndPrintDiceFace(args[0]);
        } else {
            printErrorMessage();
        }
    }

}