import java.util.Scanner;

public class DiceFaceBetterStaticMethodArrayStdIn {

    public final static int MINIMUM_VALUE = 1;
    public final static int MAXIMUM_VALUE = 6;

    private static final String[][] FACES = new String[][]{
            {// unused but Java needs something at index 0
             "-----",
             "|   |",
             "|   |",
             "|   |",
             "-----"},
            {"-----",
             "|   |",
             "| o |",
             "|   |",
             "-----"},
            {"-----",
             "|o  |",
             "|   |",
             "|  o|",
             "-----"},
            {"-----",
             "|o  |",
             "| o |",
             "|  o|",
             "-----"},
            {"-----",
             "|o o|",
             "|   |",
             "|o o|",
             "-----"},
            {"-----",
             "|o o|",
             "| o |",
             "|o o|",
             "-----"},
            {"-----",
             "|o o|",
             "|o o|",
             "|o o|",
             "-----"}
    };

    private final static Scanner inputStream = new Scanner(System.in);

    public static void printDiceFace(int value) {
        if ((value >= MINIMUM_VALUE) && (value <= MAXIMUM_VALUE)) {
            for (String line : FACES[value]) {
                System.out.println(line);
            }
        } else {
            printErrorMessage();
        }
    }

    private static void checkAndPrintDiceFace(String face) {
        /* todo This method can be made into a single line by replacing the
            use of each variable with that variable's initial assignment */
        String firstArgument = face;
        // todo preparing the String (trim and lowercase could go here
        int value = Integer.parseInt(firstArgument);
        printDiceFace(value);
    }

    private static void printErrorMessage() {
        System.out.println("You need to put a number from "
                                   + MINIMUM_VALUE
                                   + " to "
                                   + MAXIMUM_VALUE
                                   + " after the program name");
    }

    public static void main(String[] args) {
        while (inputStream.hasNext()) {
            String inputLine = inputStream.nextLine();
        /* todo This String can be trimmed and made lowercase
                to improve robustness of handling.
                You can decide where to do this. */
            checkAndPrintDiceFace(inputLine);
        }
    }

}